## org.h2.api
Interface CloseListener

All Known Implementing Classes:
  FullText.FullTextTrigger, FullTextLucene.FullTextTrigger

    public interface CloseListener

A trigger that implements this interface will be notified when the database is closed.

Method Summary
`void` `close()` This method is called when the database is closed.
`void` `remove()` This method is called when the trigger is dropped.

Method Detail

### close

    void close()
               throws java.sql.SQLException

  This method is called when the database is closed. If the method throws an exception, it will be logged, but closing the database will continue.

  Throws:
    `java.sql.SQLException`

### remove

    void remove()
                throws java.sql.SQLException

  This method is called when the trigger is dropped.

  Throws:
    `java.sql.SQLException`